DESMUME(1)

NAME
desmume-cli - Nintendo DS emulator

SYNOPSIS
desmume-cli [options] files...

DESCRIPTION
This manual page documents briefly the desmume-cli program

desmume is a Nintendo DS emulator running homebrew demos and commercial games.

OPTIONS
These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

--load-slot=NUM
    Loads savegame from slot NUM

--disable-sound
    Disables the sound emulation

--disable-limiter
    Disables the 60 fps limiter

--3d-engine=ENGINE
    Select available 3d emulation:
    0 = 3d disabled
    1 = internal desmume software rasterizer (default)

--opengl-2d
    Enables using OpenGL for screen rendering

--soft-convert
    Use software colour conversion during OpenGL screen rendering. May produce better or worse frame rates depending on hardware.

--arm9gdb=PORT_NUM
    Enable the ARM9 GDB stub on the given port

--arm7gdb=PORT_NUM
    Enable the ARM7 GDB stub on the given port

--save-type=TYPE
    Select savetype from the following:
    0 = Autodetect
    1 = EEPROM 4kbit
    2 = EEPROM 64kbit
    3 = EEPROM 512kbit
    4 = FRAM 256kbit
    5 = FLASH 2mbit
    6 = FLASH 4mbit

--fwlang=LANG
    Set the language in the firmware, LANG as follows:
    0 = Japanese
    1 = English
    2 = French
    3 = German
    4 = Italian
    5 = Spanish

--cflash=PATH_TO_DISK_IMAGE
    Enable disk image GBAMP compact flash emulation

--help
    Show summary of options.

--version
    Show version of program.

Some options may be unavailable, depending on compile-time configuration, for instance gdb stubs and opengl.

INPUT
Mouse cursor acts as stylus, mouse click replaces stylus touch.

Keyboard is configured as follows:
    F1-F10 load savegame from slot 1-10
    Shift+F1-F10 save game to slot 1-10
    Non-keypad arrows act as d-pad
    z = A
    x = B
    a = Y
    s = X
    q = L
    w = R
    Enter = START
    Left Shift = SELECT
    Backspace = LID

AUTHOR
desmume was written by DeSmuME team (http://sourceforge.net/projects/desmume).

This manual page was written by Pascal Giard <pascal@debian.org>, for the Debian project (but may be used by others).